
QGIS Application - Bug report #12399

Expressions: when only a field is used, this is considered an error

2015-03-18 10:08 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Expressions

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 20573

Description

An expression like "FIELD1" is considered an error (red symbol, message on mouse over "missing field"). The expression "FIELD1"*1 is

considered valid.

Therefore:

    -  the expression is not saved, and must be re-entered each time

    -  it is impossible to remove it (one must fake it with a valid expression, that can subsequently be removed)

History

#1 - 2015-03-18 01:25 PM - Jürgen Fischer

- Status changed from Open to Feedback

Seems to work for me.  Where are you trying to enter the expression?

#2 - 2015-05-10 11:45 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

closing for lack of feedback.
